org.apache.ignite.internal.processors.odbc

## Class SqlStateCode

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.SqlStateCode

    public final class SqlStateCode
    extends Object

SQL state codes.

### Field Summary

Fields
`static String` `CLIENT_CONNECTION_FAILED` Client has failed to open connection with specified server.
`static String` `CLUSTER_READ_ONLY_MODE_ENABLED` Read only mode enabled on cluster.
`static String` `CONNECTION_CLOSED` Connection unexpectedly turned out to be in closed state.
`static String` `CONNECTION_FAILURE` IO error during communication.
`static String` `CONNECTION_REJECTED` Connection was rejected by server.
`static String` `CONSTRAINT_VIOLATION` Data integrity constraint violation.
`static String` `CONVERSION_FAILED` Conversion failure.
`static String` `DATA_EXCEPTION` Generic data exception.
`static String` `INTERNAL_ERROR` Internal error.
`static String` `INVALID_CURSOR_STATE` Invalid result set state.
`static String` `INVALID_PARAMETER_VALUE` Parameter type is not supported.
`static String` `INVALID_TRANSACTION_LEVEL` Invalid transaction level.
`static String` `NULL_VALUE` Null value occurred where it wasn't expected to.
`static String` `PARSING_EXCEPTION` Parsing exception.
`static String` `QUERY_CANCELLED` Query canceled.
`static String` `SERIALIZATION_FAILURE` Transaction state exception.
`static String` `TRANSACTION_STATE_EXCEPTION` Transaction state exception.
`static String` `UNSUPPORTED_OPERATION` Requested operation is not supported.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CLIENT_CONNECTION_FAILED

    public static final String CLIENT_CONNECTION_FAILED

Client has failed to open connection with specified server.

See Also:
  Constant Field Values

#### CONNECTION_CLOSED

    public static final String CONNECTION_CLOSED

Connection unexpectedly turned out to be in closed state.

See Also:
  Constant Field Values

#### CONNECTION_REJECTED

    public static final String CONNECTION_REJECTED

Connection was rejected by server.

See Also:
  Constant Field Values

#### CONNECTION_FAILURE

    public static final String CONNECTION_FAILURE

IO error during communication.

See Also:
  Constant Field Values

#### DATA_EXCEPTION

    public static final String DATA_EXCEPTION

Generic data exception.

See Also:
  Constant Field Values

#### NULL_VALUE

    public static final String NULL_VALUE

Null value occurred where it wasn't expected to.

See Also:
  Constant Field Values

#### INVALID_PARAMETER_VALUE

    public static final String INVALID_PARAMETER_VALUE

Parameter type is not supported.

See Also:
  Constant Field Values

#### CONSTRAINT_VIOLATION

    public static final String CONSTRAINT_VIOLATION

Data integrity constraint violation.

See Also:
  Constant Field Values

#### INVALID_CURSOR_STATE

    public static final String INVALID_CURSOR_STATE

Invalid result set state.

See Also:
  Constant Field Values

#### CONVERSION_FAILED

    public static final String CONVERSION_FAILED

Conversion failure.

See Also:
  Constant Field Values

#### INVALID_TRANSACTION_LEVEL

    public static final String INVALID_TRANSACTION_LEVEL

Invalid transaction level.

See Also:
  Constant Field Values

#### UNSUPPORTED_OPERATION

    public static final String UNSUPPORTED_OPERATION

Requested operation is not supported.

See Also:
  Constant Field Values

#### TRANSACTION_STATE_EXCEPTION

    public static final String TRANSACTION_STATE_EXCEPTION

Transaction state exception.

See Also:
  Constant Field Values

#### SERIALIZATION_FAILURE

    public static final String SERIALIZATION_FAILURE

Transaction state exception.

See Also:
  Constant Field Values

#### PARSING_EXCEPTION

    public static final String PARSING_EXCEPTION

Parsing exception.

See Also:
  Constant Field Values

#### INTERNAL_ERROR

    public static final String INTERNAL_ERROR

Internal error.

See Also:
  Constant Field Values

#### CLUSTER_READ_ONLY_MODE_ENABLED

    public static final String CLUSTER_READ_ONLY_MODE_ENABLED

Read only mode enabled on cluster. `ClusterState.ACTIVE_READ_ONLY`. Value is equal to `org.h2.api.ErrorCode#DATABASE_IS_READ_ONLY` code.

See Also:
  Constant Field Values

#### QUERY_CANCELLED

    public static final String QUERY_CANCELLED

Query canceled.

See Also:
  Constant Field Values

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023